CoffeePi Coffee machine control for Raspberry Pi

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions
crc.h File Reference

Go to the source code of this file.

## Macros
#define | FALSE 0
#define | TRUE !FALSE
#define | CRC32
#define | CRC_NAME "CRC-32"
#define | POLYNOMIAL 0x04C11DB7
#define | INITIAL_REMAINDER 0xFFFFFFFF
#define | FINAL_XOR_VALUE 0xFFFFFFFF
#define | REFLECT_DATA TRUE
#define | REFLECT_REMAINDER TRUE
#define | CHECK_VALUE 0xCBF43926

## Typedefs
typedef unsigned long | crc

## Functions
void | crcInit (void)
crc | crcSlow (unsigned char const message[], int nBytes)
crc | crcFast (unsigned char const message[], int nBytes)

## Macro Definition Documentation

#define CHECK_VALUE 0xCBF43926

#define CRC32

#define CRC_NAME "CRC-32"

#define FALSE 0

#define FINAL_XOR_VALUE 0xFFFFFFFF

#define INITIAL_REMAINDER 0xFFFFFFFF

#define POLYNOMIAL 0x04C11DB7

#define REFLECT_DATA TRUE

#define REFLECT_REMAINDER TRUE

#define TRUE !FALSE

## Typedef Documentation

typedef unsigned long crc

## Function Documentation

crc crcFast | ( | unsigned char const | message[],
|  | int | nBytes
| ) |  |

void crcInit | ( | void |  | ) |

crc crcSlow | ( | unsigned char const | message[],
|  | int | nBytes
| ) |  |